include_guard(GLOBAL)
block()
    _register_git_cmake_library(render_3D::cglm
            "https://github.com/recp/cglm.git"
            "v0.9.6"
    )
    rcl_get_effective_install_dir(render_3D::cglm CGLM_ROOT)
    set(CGLM_CONFIG_DIR "${CGLM_ROOT}/lib/cmake/cglm")
    set(cglm_opts
            -DCGLM_SHARED=OFF
            -DCGLM_STATIC=ON
            -DCGLM_USE_TEST=OFF
    )
    rcl_cmake_library_set_cmake_options(render_3D::cglm ${cglm_opts})
    rcl_cmake_library_set_other_use_opt(render_3D::cglm
            "-Dcglm_DIR=\"${CGLM_CONFIG_DIR}\""
    )
    rcl_cmake_library_set_init_script(render_3D::cglm
            "set(cglm_DIR \"${CGLM_CONFIG_DIR}\")"
    )
    rcl_cmake_library_set_clear_script(render_3D::cglm
            "unset(cglm_DIR)"
    )
endblock()